Xerces-C++: XSAttributeGroupDefinition Class Reference

Xerces-C++ 3.3.0

List of all members
XSAttributeGroupDefinition Class Reference

`#include <xercesc/framework/psvi/XSAttributeGroupDefinition.hpp>`

Inheritance diagram for XSAttributeGroupDefinition:

## Public Member Functions
Constructors
| XSAttributeGroupDefinition (XercesAttGroupInfo *const xercesAttGroupInfo, XSAttributeUseList *const xsAttList, XSWildcard *const xsWildcard, XSAnnotation *const xsAnnot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSAttributeGroupDefinition ()
overridden XSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces.
const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified.
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e.
virtual XMLSize_t | getId () const
| Optional.
void | setId (XMLSize_t id)
| methods needed by implementation
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## XSAttributeGroupDefinition methods
XercesAttGroupInfo * | fXercesAttGroupInfo
XSAttributeUseList * | fXSAttributeUseList
XSWildcard * | fXSWildcard
XSAnnotation * | fAnnotation
XSAttributeUseList * | getAttributeUses ()
| A set of [attribute uses].
XSWildcard * | getAttributeWildcard () const
| Optional.
XSAnnotation * | getAnnotation () const
| Optional.

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Constructor & Destructor Documentation

## ◆ XSAttributeGroupDefinition()

XSAttributeGroupDefinition::XSAttributeGroupDefinition | ( | XercesAttGroupInfo *const | xercesAttGroupInfo,
|  | XSAttributeUseList *const | xsAttList,
|  | XSWildcard *const | xsWildcard,
|  | XSAnnotation *const | xsAnnot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )

The default constructor.

Parameters

  xercesAttGroupInfo |
  xsAttList |
  xsWildcard |
  xsAnnot |
  xsModel |
  manager | The configurable memory manager

## ◆ ~XSAttributeGroupDefinition()

XSAttributeGroupDefinition::~XSAttributeGroupDefinition | ( |  | ) |

## Member Function Documentation

## ◆ getAnnotation()

XSAnnotation * XSAttributeGroupDefinition::getAnnotation | ( |  | ) | const

Optional.

An [annotation].

References fAnnotation.

## ◆ getAttributeUses()

XSAttributeUseList * XSAttributeGroupDefinition::getAttributeUses | ( |  | ) |

A set of [attribute uses].

References fXSAttributeUseList.

## ◆ getAttributeWildcard()

XSWildcard * XSAttributeGroupDefinition::getAttributeWildcard | ( |  | ) | const

Optional.

A [wildcard].

References fXSWildcard.

## ◆ getName()

const XMLCh * XSAttributeGroupDefinition::getName | ( |  | ) | const
| virtual

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

## ◆ getNamespace()

const XMLCh * XSAttributeGroupDefinition::getNamespace | ( |  | ) | const
| virtual

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

## ◆ getNamespaceItem()

XSNamespaceItem * XSAttributeGroupDefinition::getNamespaceItem | ( |  | ) |
| virtual

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

## Member Data Documentation

## ◆ fAnnotation

XSAnnotation* XSAttributeGroupDefinition::fAnnotation
| protected

Referenced by getAnnotation().

## ◆ fXercesAttGroupInfo

XercesAttGroupInfo* XSAttributeGroupDefinition::fXercesAttGroupInfo
| protected

## ◆ fXSAttributeUseList

XSAttributeUseList* XSAttributeGroupDefinition::fXSAttributeUseList
| protected

Referenced by getAttributeUses().

## ◆ fXSWildcard

XSWildcard* XSAttributeGroupDefinition::fXSWildcard
| protected

Referenced by getAttributeWildcard().

The documentation for this class was generated from the following file:

- XSAttributeGroupDefinition.hpp